import { TextEntity } from '@csnext/cs-data';
import { DocDatasource, GraphDocument, Observation } from '..';
export declare class DocUtils {
    static getSimplifiedEntities(doc: GraphDocument): TextEntity[];
    static syncEntities(document: GraphDocument, source: DocDatasource, content?: any, triggerUpdated?: any, key?: string): void;
    static getSimplifiedObservations(doc: GraphDocument): Observation[];
}
